# in-toto Enhancements (ITEs)

## Accepted

* [ITE-1: in-toto Enhancement Format](ITE/1/README.adoc)
* [ITE-2: A general overview of combining TUF and in-toto to build compromise-resilient CI/CD](ITE/2/README.adoc)
* [ITE-3: Real-world example of combining TUF and in-toto for packaging Datadog Agent integrations](ITE/3/README.adoc)
* [ITE-4: Generic URI Schemes for in-toto](ITE/4/README.adoc)
* [ITE-5: Disassociate signature envelope specification from in-toto](ITE/5/README.adoc)
* [ITE-6: Enabling contextual in-toto attestations](ITE/6/README.adoc)
* [ITE-9: Introducing new in-toto Attestation types](ITE/9/README.adoc)

## Draft

* [ITE-7: Signing & Verification With X509](ITE/7/README.adoc)
* [ITE-10: Supporting Contextual in-toto Attestations in Layouts](ITE/10/README.adoc)
* [ITE-11: Verifying Attributes in in-toto Attestations](ITE/11/README.adoc)

## License

This project is developed under the Apache license.

## Acknowledgements

This project is managed by Prof. Santiago Torres-Arias at Purdue University.
It is worked on by many folks in academia and industry, including members of 
the [Secure Systems Lab](https://ssl.engineering.nyu.edu/) at NYU, and the NJIT
Cybersecurity Research Center.

This research was supported by the Defense Advanced Research Projects Agency
(DARPA), the Air Force Research Laboratory (AFRL), and the US National Science
Foundation (NSF). Any opinions, findings, and conclusions or recommendations
expressed in this material are those of the authors and do not necessarily
reflect the views of DARPA, AFRL, and NSF. The United States government is
authorized to reproduce and distribute reprints notwithstanding any copyright
notice herein.
